# chiaPet.sql was originally generated by the autoSql program, which also 
# generated chiaPet.c and chiaPet.h.  This creates the database representation of
# an object which can be loaded and saved from RAM in a fairly 
# automatic way.

#ChIA-pet data
CREATE TABLE chiaPet (
    chrom varchar(255) not null,	# Reference sequence chromosome or scaffold.  Example chr1
    chromStart int unsigned not null,	# Start position in chromosome
    chromEnd int unsigned not null,	# End position in chromosome
    name varchar(255) not null,	# Name of item
    score int unsigned not null,	# Darkness. Recommended to do # of PETS times 200 with a max of 1000 at typical coverage levels
    strand char(1) not null,	# + or - or . if unknown
    clusterId int unsigned not null,	# Joins together with other regions in interaction pair or larger cluster
    mappingScore double not null,	# Log-odds score of mapping quality.  0.0 for unknown
              #Indices
    INDEX chromStart (chrom(8), chromStart),
    INDEX clusterId (clusterId)
);
